#include <iostream>
using namespace std;

int main() {
    int broj, visina;
    cin >> broj >> visina; 

    int visine[broj]; 
    for (int i = 0; i < broj; i++) 
    {
        cin >> visine[i];
    }
    for (int i = 0; i < broj; i++){
    if (visine[i] <= visina){
      cout << i + 1;
    }
    else
    {
      cout << -1;
    }
    return 0;
    }
}